/// @file parsewav_format.h
///
/// @brief wav format
///
/// @author Sasaji
/// @date   2014.3.1
///
#ifndef _PARSEWAV_FORMAT_H_
#define _PARSEWAV_FORMAT_H_

#pragma pack(1)
typedef struct wav_header_st {
	char RIFF[4];
	uint32 file_len;
	char WAVE[4];
} wav_header_t;
#pragma pack()

#pragma pack(1)
typedef struct wav_fmt_chank_st {
	char fmt[4];
	uint32 fmt_size;
	uint16 format_id;
	uint16 channels;
	uint32 sample_rate;
	uint32 data_speed;
	uint16 block_size;
	uint16 sample_bits;
} wav_fmt_chank_t;
#pragma pack()

#pragma pack(1)
typedef struct wav_data_chank_st {
	char data[4];
	uint32 data_len;
} wav_data_chank_t;
#pragma pack()

#pragma pack(1)
typedef struct wav_unknown_chank_st {
	char data[4];
	uint32 len;
} wav_unknown_chank_t;
#pragma pack()

#endif
